%define anolis_release 1
%bcond_with check

Name:           libqb
Version:        2.0.8
Release:        %{anolis_release}%{?dist}
Summary:        Library providing high performance logging, tracing, ipc, and poll

License:        LGPLv2+
URL:            https://github.com/ClusterLabs/libqb
Source0:        https://github.com/ClusterLabs/libqb/releases/download/v%{version}/%{name}-%{version}.tar.xz

BuildRequires:  check-devel
BuildRequires:  doxygen
BuildRequires:  gcc
BuildRequires:  procps
# for ipc.test only (part of check scriptlet)
BuildRequires:  pkgconfig(glib-2.0)
# For doxygen2man
BuildRequires:  libxml2-devel
BuildRequires:  make

%description
A "Quite Boring" library that provides high-performance, reusable features for client-server
architecture, such as logging, tracing, inter-process communication (IPC),
and polling.

%prep
%autosetup -p1 -n %{name}-%{version}

%build
%configure --disable-static
%{make_build}

%if 0%{?with_check}
%check
%make_build check
%endif

%install
%{make_install}
rm -rf $RPM_BUILD_ROOT/%{_docdir}/*

%files
%license COPYING
%{_sbindir}/qb-blackbox
%{_libdir}/libqb.so.*
%{_mandir}/man8/qb-blackbox.8*

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%files          devel
%doc README.markdown
%{_includedir}/qb/
%{_libdir}/libqb.so
%{_libdir}/pkgconfig/libqb.pc
%{_mandir}/man3/qb*3*


%package -n     doxygen2man
Summary:        Program to create nicely-formatted man pages from Doxygen XML files
Requires:       %{name} = %{version}-%{release}


%description -n doxygen2man
This package contains a program to create nicely-formatted man pages from Doxygen XML files

%files -n       doxygen2man
%{_bindir}/doxygen2man
%{_mandir}/man1/doxygen2man.1*


%changelog
* Thu Aug 10 2023 Funda Wang <fundawang@yeah.net> - 2.0.8-1
- New version 2.0.8

* Thu Mar 23 2023 Funda Wang <fundawang@yeah.net> - 2.0.6-1
- Import package for anolis 23
